summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2021-07-02 12:08:44 +0200
committerLars Wendler <polynomial-c@gentoo.org>2021-07-02 12:10:27 +0200
commite605f305954dc21c26487cfd600a918a136c79e0 (patch)
tree4bfeeb95777a5a420322d832d809e92a9edbefca
parentmedia-libs/aalib: drop myself as a maintainer (diff)
downloadgentoo-e605f305954dc21c26487cfd600a918a136c79e0.tar.gz
gentoo-e605f305954dc21c26487cfd600a918a136c79e0.tar.bz2
gentoo-e605f305954dc21c26487cfd600a918a136c79e0.zip
net-misc/icaclient: Bump to version 20.6.0.28
Bug: https://bugs.gentoo.org/788697 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
-rw-r--r--net-misc/icaclient/Manifest2
-rw-r--r--net-misc/icaclient/icaclient-21.6.0.28.ebuild261
2 files changed, 263 insertions, 0 deletions
diff --git a/net-misc/icaclient/Manifest b/net-misc/icaclient/Manifest
index 56bdf6583bd..cbb8d8bf7a5 100644
--- a/net-misc/icaclient/Manifest
+++ b/net-misc/icaclient/Manifest
@@ -1,4 +1,6 @@
DIST linuxx64-21.3.0.38.tar.gz 143339036 BLAKE2B 645d9518b1e47e553aae8fe90ecf0d9f9e0523adb8cfcb692f500b28c63220d05361215072ea7a3de700068dd644585fac0169099b860ba4d4a662fe9b7ff5e5 SHA512 1f004a2c154281b71b919053fdcb5ca83c93a5047a8fc8bbe3acb53b78ccac8ca446dc5aa23495a5a69ef07107d3f1b9749994dcb95c2beeee735d57afcebf20
DIST linuxx64-21.4.0.11.tar.gz 143734038 BLAKE2B 4180c4aa10ad058a61c8bf36b8d51e5015f6b17885f194fb6164fa653ae29eb7f473c479b4574de595bf403bfa086f2b94507f724ef2fcc247bd34a98057d3c9 SHA512 f4c65ef2cd6c76c945c99001812039ac0fcf3fe4a6c3c57e511f00c106e7f57640c46f7e3b0f7d1d4438e977a0b505d2c1097a7fb8a58cac7c4ff7f0321d4141
+DIST linuxx64-21.6.0.28.tar.gz 145565275 BLAKE2B aed7bae92146d242171007006871d89dadf0d944c342f455d6acf9c6844d27d7c3cbc8bdf92ff46ade692cdce99402c2e6f81c65f547bd07d419140e231ffbd8 SHA512 ebaadc3a1685de583637023152bec3475a6c7ef4399af98b1faab231f9d012edc69d6553d3a89fb1db230376aee65ccfa21d9ffd60e88e18591445a3d45c274c
DIST linuxx86-21.3.0.38.tar.gz 129220087 BLAKE2B 9e85e74b34546ead052c9b9eacc59e32d5422b2afc31886d34c09596d27e4c792dd77338b936dbefb270219673e612a73908705b1d886d6f61a40e430c14b730 SHA512 354fff11dbb150e4b4e94d09dd288d1ff39b518f6d278dc33d645699d3ee0690ca93a86289921c4fc3e91d2cc5f1bbb28e4179d8672e17d02923851e22772d71
DIST linuxx86-21.4.0.11.tar.gz 129600902 BLAKE2B 683fea9ca2a7e2073571f9a1b48ae7bd3427aaa8c8d9a5627120bdc08346656f221414cee42c735f84ed4bd4ef88e57af6f80b065cd918ff119fb69ff94c78f6 SHA512 430eea182a1ace3d002ac11e28de311e654212f3a2d59a17707caa0bd4b05154c873c678a34f1fc520b7fc658733805618c8e0c5ed3127bce8a1452aa69fb383
+DIST linuxx86-21.6.0.28.tar.gz 130616431 BLAKE2B 461062eb4c52bd51aa323749258ae68e24a1260359c24e81140a47e1fd7768d0f1325ad34c1a700ea82b0f48da904f69b8e4a013b947ae7202f5a4859d14e42c SHA512 42de5dabc2f376a851f276ca2ddf07f58f3620d03e45decf4fa5a478ca8a12e19838d674bb743564ae813c34811aa2e16ec862b77074abe553e19a9329a79370
diff --git a/net-misc/icaclient/icaclient-21.6.0.28.ebuild b/net-misc/icaclient/icaclient-21.6.0.28.ebuild
new file mode 100644
index 00000000000..709b831a318
--- /dev/null
+++ b/net-misc/icaclient/icaclient-21.6.0.28.ebuild
@@ -0,0 +1,261 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop wrapper xdg-utils
+
+DESCRIPTION="ICA Client for Citrix Presentation servers"
+HOMEPAGE="https://www.citrix.com/"
+SRC_URI="amd64? ( linuxx64-${PV}.tar.gz )
+ x86? ( linuxx86-${PV}.tar.gz )"
+
+LICENSE="icaclient"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="l10n_de l10n_es l10n_fr l10n_ja l10n_zh-CN"
+RESTRICT="mirror strip userpriv fetch"
+
+ICAROOT="/opt/Citrix/ICAClient"
+
+QA_PREBUILT="${ICAROOT#/}/*"
+
+RDEPEND="
+ app-crypt/libsecret
+ dev-libs/atk
+ dev-libs/glib:2
+ dev-libs/libxml2
+ media-fonts/font-adobe-100dpi
+ media-fonts/font-misc-misc
+ media-fonts/font-cursor-misc
+ media-fonts/font-xfree86-type1
+ media-fonts/font-misc-ethiopic
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/gst-plugins-base:1.0
+ media-libs/gstreamer:1.0
+ media-libs/libogg
+ media-libs/libvorbis
+ media-libs/speex
+ net-libs/libsoup:2.4
+ net-libs/webkit-gtk:4
+ sys-apps/util-linux
+ sys-libs/libcxx
+ sys-libs/libcxxabi
+ sys-libs/zlib
+ virtual/krb5
+ virtual/jpeg:0
+ virtual/libudev
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:2
+ x11-libs/gtk+:3
+ x11-libs/libX11
+ x11-libs/libXaw
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXinerama
+ x11-libs/libXmu
+ x11-libs/libXrender
+ x11-libs/libXt
+ x11-libs/pango
+"
+DEPEND=""
+
+pkg_nofetch() {
+ elog "Download the client file ${A} from
+ https://www.citrix.com/downloads/workspace-app/"
+ elog "and place it into your DISTDIR directory."
+}
+
+pkg_setup() {
+ case ${ARCH} in
+ amd64)
+ ICAARCH=linuxx64
+ ;;
+ x86)
+ ICAARCH=linuxx86
+ ;;
+ *)
+ eerror "Given architecture is not supported by Citrix."
+ ;;
+ esac
+
+ S="${WORKDIR}/${ICAARCH}/${ICAARCH}.cor"
+}
+
+src_prepare() {
+ default
+ rm lib/UIDialogLibWebKit.so || die
+
+ # We need to avoid module.ini file getting added to the package's
+ # content because media-plugins/hdx-realtime-media-engine modifies
+ # this file on installation. See pkg_postinst()
+ mv nls/en/module.ini "${T}" || die
+}
+
+src_install() {
+ local bin tmpl dest
+
+ dodir "${ICAROOT}"
+
+ exeinto "${ICAROOT}"
+ doexe *.DLL libproxy.so wfica AuthManagerDaemon PrimaryAuthManager selfservice ServiceRecord
+
+ exeinto "${ICAROOT}"/lib
+ if use amd64 ; then
+ rm lib/ctxjpeg_fb_8.so || die
+ fi
+ doexe lib/*.so
+
+ for dest in "${ICAROOT}"{,/nls/en{,.UTF-8}} ; do
+ insinto "${dest}"
+ doins nls/en.UTF-8/eula.txt
+ done
+
+ insinto "${ICAROOT}"
+ doins -r usb
+
+ insinto "${ICAROOT}"/config
+ # nls/en/*.ini is being handled by pkg_postinst()
+ doins config/* config/.*
+ for tmpl in {appsrv,wfclient}.template ; do
+ newins nls/en/${tmpl} ${tmpl/template/ini}
+ done
+ touch "${ED}/${ICAROOT}"/config/.server || die
+
+ insinto "${ICAROOT}"/gtk
+ doins gtk/*
+
+ insinto "${ICAROOT}"/gtk/glade
+ doins gtk/glade/*
+
+ insinto "${ICAROOT}"/site
+ doins -r site/*
+
+ dodir "${ICAROOT}"/help
+
+ insinto "${ICAROOT}"/config/usertemplate
+ doins config/usertemplate/*
+
+ local lang LANGCODES=( en )
+ use l10n_de && LANGCODES+=( de )
+ use l10n_es && LANGCODES+=( es )
+ use l10n_fr && LANGCODES+=( fr )
+ use l10n_ja && LANGCODES+=( ja )
+ use l10n_zh-CN && LANGCODES+=( zh_CN )
+
+ for lang in ${LANGCODES[@]} ; do
+ insinto "${ICAROOT}"/nls/${lang}
+ doins nls/${lang}/*
+
+ insinto "${ICAROOT}"/nls/$lang/UTF-8
+ doins nls/${lang}.UTF-8/*
+
+ insinto "${ICAROOT}"/nls/${lang}/LC_MESSAGES
+ doins nls/${lang}/LC_MESSAGES/*
+
+ insinto "${ICAROOT}"/nls/${lang}
+ dosym UTF-8 "${ICAROOT}"/nls/${lang}/utf8
+
+ for tmpl in {appsrv,wfclient}.template ; do
+ cp "${ED}/${ICAROOT}"/nls/${lang}/${tmpl} \
+ "${ED}/${ICAROOT}"/nls/${lang}/${tmpl/template/ini} \
+ || die
+ done
+ done
+
+ insinto "${ICAROOT}"/nls
+ dosym en /opt/Citrix/ICAClient/nls/C
+
+ insinto "${ICAROOT}"/icons
+ doins icons/*
+
+ insinto "${ICAROOT}"/keyboard
+ doins keyboard/*
+
+ rm -r "${S}"/keystore/cacerts || die
+ dosym ../../../../etc/ssl/certs "${ICAROOT}"/keystore/cacerts
+
+ local util_files=(
+ configmgr
+ conncenter
+ ctx_app_bind
+ ctx_rehash
+ ctxlogd
+ ctxwebhelper
+ gst_play1.0
+ gst_read1.0
+ hdxcheck.sh
+ icalicense.sh
+ libgstflatstm1.0.so
+ lurdump
+ new_store
+ nslaunch
+ setlog
+ storebrowse
+ sunraymac.sh
+ webcontainer
+ what
+ xcapture
+ )
+
+ exeinto "${ICAROOT}"/util
+ for bin in ${util_files[@]} ; do
+ doexe util/${bin}
+ done
+
+ local other_files=(
+ icasessionmgr
+ NativeMessagingHost
+ UtilDaemon
+ )
+
+ exeinto "${ICAROOT}"
+ for bin in ${other_files[@]} ; do
+ doexe ${bin}
+ done
+
+
+ # https://bugs.gentoo.org/655922
+ dosym gst_play1.0 "${ICAROOT}"/util/gst_play
+ dosym gst_read1.0 "${ICAROOT}"/util/gst_read
+ dosym libgstflatstm1.0.so "${ICAROOT}"/util/libgstflatstm.so
+
+ doenvd "${FILESDIR}"/10ICAClient
+
+ for bin in configmgr conncenter new_store ; do
+ make_wrapper ${bin} "${ICAROOT}"/util/${bin} . "${ICAROOT}"/util
+ done
+
+ for bin in selfservice wfica ; do
+ make_wrapper ${bin} "${ICAROOT}"/${bin} . "${ICAROOT}"
+ done
+
+ dodir /etc/revdep-rebuild/
+ echo "SEARCH_DIRS_MASK=\"${ICAROOT}\"" \
+ > "${ED}"/etc/revdep-rebuild/70icaclient
+
+ insinto "${ICAROOT}"/pkginf
+ newins "${WORKDIR}"/PkgId Ver.core."${ICAARCH}"
+
+ # 651926
+ domenu "${FILESDIR}"/*.desktop
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+
+ local inidest="${BROOT}${ICAROOT}/config"
+ if [[ ! -e "${inidest}"/module.ini ]] ; then
+ mv "${T}"/module.ini "${inidest}/" \
+ || ewarn 'Failed to install plugin.ini file'
+ fi
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+}